🛈 Announcement
Greetings! Assassin's Creed forums are now archived and accessible in read-only mode, please go to the new platform to discuss the game.
  1. #11
    ai_ab's Avatar Senior Member
    Join Date
    Mar 2010
    Posts
    543
    Looking through the requirements you have re-posted I now do agree with people complaining about the issue that the minimum requirements do miss the crucial details.

    E.g. OS minimum requirements clearly state that you need a 64-bit OS to run the game and it also contain a full list of OS that you can use. The GPU requirements clearly state that you need 2GB VRAM and Shader Model 5.0 or better.

    They could have easily added SSE 4.1/4.2 support for the CPU to the requirements.
     1 people found this helpful
    Share this post

  2. #12
    ai_ab's Avatar Senior Member
    Join Date
    Mar 2010
    Posts
    543
    Well, that's why these are SSE4.1/4.2 instruction that are being blamed. Hmm... AMD FX 4300 is below the minimum in AMD range as well, however, it has the instruction sets, so it should be capable of launching the game.
    Share this post

  3. #13
    ai_ab's Avatar Senior Member
    Join Date
    Mar 2010
    Posts
    543
    It was not known before the release that the lack of SSE 4.1/4.2 support would prevent the game from being launched on Phenom II CPUs. So those who have pre-ordered the game could not have known that.

    Indeed there are such sites, however, I wonder what would have been the results of these tests before it became apparent that SSE 4.1/4.2 are required to run the game.
    Share this post

  4. #14
    Such a shame. I hope this gets patched soon like Mafia. Worst Ubisoft title support so far.
     2 people found this helpful
    Share this post

  5. #15
    ai_ab's Avatar Senior Member
    Join Date
    Mar 2010
    Posts
    543
    Originally Posted by krisfather Go to original post
    Such a shame. I hope this gets patched soon like Mafia. Worst Ubisoft title support so far.
    When Mafia 3 has been released? When the patch that removed SSE 4.2 requirement has been released? When Mafia 3 has been cracked?
    Share this post

  6. #16
    Release: 06 October 2016
    Patch: around 22. December 2016
    Crack :09 November 2016
     1 people found this helpful
    Share this post

  7. #17
    ai_ab's Avatar Senior Member
    Join Date
    Mar 2010
    Posts
    543
    So Mafia 3 developers are good because they have released the patch that has removed SSE 4.2 requirement 2.5 months since the release and 1.5 months since the game was cracked.

    In the meantime Ubisoft is bad because the have not released the patch that would remove SSE 4.2 requirement within 1 month since release and ACO has not been cracked yet.

    This makes a lot of sense...
    Share this post

  8. #18
    I can honestly see both sides of the issue here. On one hand, a small group of people knowingly, or unknowingly bought the game despite the fact that their CPUs are well under the minimum requirements that were listed.

    And the reason I said "knowing" is because this sort of thing happens a lot with PC games in the sense that people will deliberately buy a game knowing that their rig is under spec, and then pester the developer after release to get them to remove a particular instruction set as a requirement so that they don't have to buy a newer CPU.

    Depending on how extensively the instruction set is used by the game, removing it could be anything from trivial to a significant undertaking requiring additional resources and manpower that would be better spent elsewhere.

    I remember Doom and Metro Last Light developers being petitioned to remove the requirement for SSE4 from their games, but I don't think the instruction set was used extensively in either of those games.

    Though can you imagine the problems that will arise when the next generation of consoles come out? Those will have much newer instruction sets than current consoles like AVX2, that developers will definitely use.

    There's going to be plenty of people complaining because a game requires AVX2. This is where my empathy ends. Game development shouldn't be held back by a few people simply because they are too lazy or too poor to upgrade their rigs.
    Share this post

  9. #19
    the main difference is that 2k has given an official statement if they will fix it or not within 2 weeks after release ubi doesnt give any infos and censors all posted answeres from their support ^^
     2 people found this helpful
    Share this post

  10. #20
    ^^ this. Cracking the game has absolutely zero merit to this,but from what I see,it's Denuvo games who cause this BS.
    Share this post